/* You can add global styles to this file, and also import other style files */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');
@tailwind base;
@tailwind components;
@tailwind utilities;

* {
    font-family: 'Poppins', sans-serif;
}

html:focus-within {
    scroll-behavior: smooth;
}

body {
    min-height: 100vh;
    /* vvv test immagine sfondo opacità bassa vvv */
    /* background: linear-gradient(rgba(255,255,255,.5), rgba(255,255,255,.5)), url("assets/spaghetti.svg");
    background-repeat: no-repeat;
    background-position: bottom -350px left;
    background-size: 300px; */
}

/* Remove all animations, transitions and smooth scroll for people that prefer not to see them */
/*snippet da https://piccalil.li/blog/a-modern-css-reset/*/
@media (prefers-reduced-motion: reduce) {
    html:focus-within {
        scroll-behavior: auto;
    }

    *,
    *::before,
    *::after {
        animation-duration: 0.01ms !important;
        animation-iteration-count: 1 !important;
        transition-duration: 0.01ms !important;
        scroll-behavior: auto !important;
    }
}